@import '../../../../src/styles.scss';

.portfolio-container {
  position: relative;
  width: 100%;
  height: 100%;
  background: white;
  padding: 10px;
  border-radius: 0px 10px 10px 0px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  z-index: 1;
  overflow: hidden;
}

.portfolio-header {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  height: 50px;
}

.portfolio-header-title {
  flex: 1;
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  align-items: center;
  padding-left: 10px;
  font-size: 16px;
  &-first {
    position: absolute;
    border-radius: 100%;
    left: 14px;
    top: 26px;
    height: 25px;
    width: 25px;
    background-image: $app-gradient-faded;
  }
}

.portfolio-header-filters {
  flex: 1;
  display: flex;
  flex-flow: row;
  justify-content: space-around;
  align-items: center;
  padding-right: 10px;
  &-item {
    font-size: 14px;
    color: #868686;
    &:hover {
      cursor: pointer;
      color: $main-color;
    }
  }
}

.portfolio-content {
  display: flex !important; // because overrided with the slim scrollbar
  flex-flow: row wrap;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 5px;
  height: 470px;
  padding-bottom: 10px;
  &-item {
    position: relative;
    min-height: 300px;
    flex: 1 1 230px;
    border-radius: 15px;
    margin: 5px;
    overflow: hidden;
    border:1px solid transparent; // solves the scale glitch of 1px with transform
    &:hover {
      cursor: pointer;
      .portfolio-content-item-icon {
        display: block;
      }
      .portfolio-content-item-background {
        transform: scale(1.1);
        transition: all .5s;
        &:before {
          display: block;
        }
      }
    }
    &-background {
      overflow: hidden;
      width: 100%;
      height: 100%;
      border-radius: 15px;
      &::before { // in order to add the overlay on the images
        content: "";
        display: none;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-image: $app-gradient-faded;
      }
    }
    &-title {
      position: absolute;
      left: 50%;
      bottom: 40px;
      transform: translateX(-50%);
      font-size: 12px;
      font-weight: bold;
      color: whitesmoke;
      text-align: center;
      min-width: 150px;
      &-dark {
        color: white;
      }
      &-light {
        color: black;
      }
    }
    &-type {
      position: absolute;
      left: 50%;
      bottom: 25px;
      transform: translateX(-50%);
      font-size: 10px;
      color: whitesmoke;
      &-dark {
        color: white;
      }
      &-light {
        color: black;
      }
    }
    &-icon {
      position: absolute;
      display: none;
      left: 50%;
      top: 50%;
      transform: translateX(-50%) translateY(-50%);
      font-size: 28px;
      opacity: 0.5;
      color: white;
    }
  }
}

.filter-active {
    color: $main-color;
}

@media screen and (max-width: 1000px) {
  .slimscroll-wrapper, .portfolio-content {
    height: 425px;
  }
}

@media screen and (max-width: 900px) {
  .slimscroll-wrapper {
    height: 90vh !important;
  }
  .portfolio-content {
    height: 100%;
  }
  .portfolio-container {
    border-radius: 0;
  }
}

@media screen and (min-width: 750px) and (max-width: 900px) {
  .portfolio-header-filters {
    flex: 2;
  }
}

@media screen and (max-width: 420px) {
  .portfolio-header-filters-item {
    font-size: 12px;
  }
  .portfolio-header-title {
    padding-left: 50px;
    &-first {
      left: 54px;
    }
  }
}

@media screen and (max-width: 380px) {
  .portfolio-header-filters-item {
    font-size: 10px;
  }
}

@media screen and (max-width: 330px) {
  .portfolio-header-filters-item {
    font-size: 8px;
  }
}
